package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"github.com/gin-gonic/gin"
)

type AiModelRouter struct{}

func (s *AiModelRouter) InitAiModelRouter(Router *gin.RouterGroup) {
	aiModelRouter := Router.Group("aiModel")
	aiModelApi := v1.ApiGroupApp.AppApiGroup.AiModelApi
	{
		aiModelRouter.POST("createAiModel", aiModelApi.CreateAiModel)
		aiModelRouter.DELETE("deleteAiModel", aiModelApi.DeleteAiModel)
		aiModelRouter.PUT("updateAiModel", aiModelApi.UpdateAiModel)
		aiModelRouter.GET("findAiModel", aiModelApi.FindAiModel)
		aiModelRouter.GET("getAiModelList", aiModelApi.GetAiModelList)
		aiModelRouter.POST("syncProviderModels", aiModelApi.SyncProviderModels)
	}
}
